FROM python:3.7-slim

WORKDIR /usr/src/app

RUN apt-get update && apt-get -y install git gcc gfortran build-essential liblapack-dev libfftw3-dev make cmake zlib1g-dev python3-sphinx
RUN git clone https://gitlab.com/siesta-project/siesta.git

# Siesta located in /usr/src/app/siesta
RUN cd /usr/src/app/siesta/Obj && sh ../Src/obj_setup.sh
RUN cd /usr/src/app/siesta/Obj && sed -e 's/LIBS =/LIBS = -lblas -llapack/; s/COMP_LIBS = -lblas -llapack libsiestaLAPACK.a libsiestaBLAS.a/COMP_LIBS =/' gfortran.make > arch.make && make

ENV PATH="/usr/src/app/siesta/Obj:${PATH}"
ENV SIESTA_COMMAND="/usr/src/app/siesta/Obj/siesta  < ./%s > ./%s"
RUN which siesta
# pyscf 1.7.4 requires scipy<1.5
RUN pip install numpy scipy==1.4.1 h5py numba ase pyscf sphinx_rtd_theme
